Results 1 to 6 of 6

Thread: lmcrypt for FlexLM 10.8 and 11

  1. #1
    cracker_smack
    Guest

    lmcrypt for FlexLM 10.8 and 11

    I was playing around with lmcrypt -verfmt in the flexlm 10.8 and 11 SDK trying to understand how to use it to generate licenses for software protected with older versions of flexlm.

    I also messed around with adding: #define LM_VER_BEHAVIOR LM_BEHAVIOR_Vxxx to lmcode.h when building lmcrypt, but the line did not seem to have an effect.

    Typing lmcrypt -help reveals the only certain versions are available to use with -verfmt (2-5, 5.1, 6, 7 and 7.1).

    Does this mean a flex sdk version 7.2 through 10.8 will generate the same signature (assuming the same LM_STRENGTH and seeds)?

    It is not clear to me how the different versions can produce the same license since very old SDK versions use two seeds, kinda old versions use four seeds and the newest versions (10.8 and 11) use three seeds.

    Can I use my kits to produce flex v9.2 licenses? If I need to do anything in addition, what is it?
    I promise that I have read the FAQ and tried to use the Search to answer my question.

  2. #2
    reknihT esreveR SiGiNT's Avatar
    Join Date
    Sep 2004
    Location
    Wherever I am
    Posts
    750
    The only clue I can give you here is that ver. 10.x licenses are backwards compatible with older versions of the target using 9.x - I do know that some companies are switching to longer auth. codes -

    We encourage you to upgrade your license server software at your earliest convenience, but no later than September 30, 2006. You will need to upgrade your license server to FLEXnet v10.8 to support the new long-format authorization codes (see below).

    In addition, <target deleted> applications built with FLEXnet v10.8 will require a license server running FLEXnet v10.8 or newer in order to be granted an authorization code.
    This info doesn't really pertain to your question, but I thought I'd include it just for the general info.

    SiGiNT
    Unemployed old fart Geek - Self Employed Annoyance
    Team: Noobisco Crackers
    If someone can't do it for you, you'll never learn!

  3. #3
    Where can I get "TOOL REQUEST REMOVED?
    I promise that I have read the FAQ and tried to use the Search to answer my question.

  4. #4
    Which part of the FAQ's instructions, which state:

    "Do not ask where to find the "tools"

    did YOU interpret as NOT including YOU??

    This is further made clear by the statement in the title of the Tools of the Trade Forum, which states:

    Do not ask where to get the Tools of our Trade. Do not even think about asking for them.

    These Rules DO APPLY TO YOU!

    Regards,
    JMI

  5. #5
    sorry..............
    I promise that I have read the FAQ and tried to use the Search to answer my question.

  6. #6
    Hmmmmmmmmm......... hadop,

    You will now have to redeem yourself to get some respectabilty.

    woodmann

Similar Threads

  1. FlexLM 8.1
    By Zigmund in forum Advanced Reversing and Programming
    Replies: 3
    Last Post: April 13th, 2003, 05:44
  2. FlexLM 7.2g
    By cillonzo in forum The Newbie Forum
    Replies: 3
    Last Post: November 4th, 2002, 09:28
  3. Help compiling lmcrypt with Borland
    By LostAtC in forum Malware Analysis and Unpacking Forum
    Replies: 1
    Last Post: July 6th, 2002, 21:55
  4. How do I recompile lmcrypt (FlexLM SDK source codes)?
    By idnauoy in forum Malware Analysis and Unpacking Forum
    Replies: 1
    Last Post: April 18th, 2001, 19:36
  5. Building lmcrypt with Borland C++
    By Buz Killer in forum Advanced Reversing and Programming
    Replies: 3
    Last Post: December 11th, 2000, 13:52

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •